Name:    ksnapshot 
Summary: A screen capture utility 
Version: 4.7.2
Release: 1%{?dist}

License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdegraphics/ksnapshot 
Source0: http://download.kde.org/stable/%{version}/src/%{name}-%{version}.tar.bz2

BuildRequires: desktop-file-utils
BuildRequires: exiv2-devel
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: libkipi-devel >= %{version}
BuildRequires: libXfixes-devel

Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}
# when split occurred
Conflicts: kdegraphics < 7:4.6.95-10

%description
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde --without-mo


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%files -f %{name}.lang
%doc COPYING
%{_kde4_bindir}/%{name}
%{_kde4_bindir}/kbackgroundsnapshot
%{_datadir}/dbus-1/interfaces/org.kde.ksnapshot.xml
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_iconsdir}/hicolor/*/*/*


%changelog
* Wed Oct 05 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.2-1
- 4.7.2

* Wed Sep 07 2011 Than Ngo <than@redhat.com> - 4.7.1-1
- 4.7.1

* Thu Sep 01 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.0-2
- .spec cosmetics

* Tue Jul 26 2011 Jaroslav Reznik <jreznik@redhat.com> 4.7.0-1
- 4.7.0

* Mon Jul 11 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.95-1
- 4.6.95
- fix URL

* Wed Jul 06 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.90-2
- fix Source URL
- Conflicts: kdegraphics < 7:4.6.90-10

* Tue Jul 05 2011 Rex Dieter <rdieter@fedoraproject.org>  4.6.90-1
- first try
